Pyside2uic backwards compatibility?

qt
python

#1

Hi there,
We’re transitioning from 2014 to 2017. While I’ll probably just do this manually, I’m wondering if anyone knows if a way to make pyside2uic spit out Python code from a .ui file that’s backward compatible.
Since I only need a short-term solution for tool parity while we’re transitioning and testing, I’ll probably just create separate .ui files for compiling to Pyside and Pyside2, but it would be nice to have a simpler option.

I dug around and didn’t see anything in compileUi, uiparser or Compiler, but I may have missed some flag that allows a version export.

Thanks,
Alec


#2

I believe that Qt.py has some functions for loading and translating .ui files. Though from what I remember the translation tools tweaks them to work with Qt.py not such much for jumping them between Qt versions.
But you might be able to dig into how they’re doing it and adapting it to you’re situation.